%define __libtoolize :
%global momorel 1

Name: usbutils
Version: 0.73
Release: %{momorel}m%{?dist}
Source0: http://dl.sourceforge.net/sourceforge/linux-usb/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: usbutils-0.73-hwdata.patch
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary: Linux USB utilities.
Group: Applications/System
URL: http://www.linux-usb.org/
Requires: hwdata
Obsoletes: usbutils-devel

%description
This package contains an utility for inspecting
devices connected to an USB bus.

%prep
%setup -q
%patch0 -p1 -b .hwdata

%build
cp %{_datadir}/libtool/config.{sub,guess} .
%configure
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

# remove conflicted files with libusb.
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}
rm -f %{buildroot}%{_datadir}/usb.ids*

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Sat Jul 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.73-1m)
- sync with Fedora devel (0.73-2)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.71-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.71-2m)
- %%NoSource -> NoSource

* Sun May 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.71-1m)
- update to 0.71
- import some patches from FC
- delete unused patches
- change URL and Source0 URI

* Thu Feb  3 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.11-4m)
- enable x86_64.

* Sat Nov 27 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.11-3m)
- add 2 patches from Fedora
- usbutils-0214.patch to fix various brokenness
- usbutils-0.11-hidcc.patch for unknown HID Country Code entries in usb.ids

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.11-2m)
- revised spec for rpm 4.2.

* Tue Oct 28 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (0.11-1m)
- Version up

* Sun Jul 21 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (0.9-8m)
- Add Obsoletes: usbutils-devel

* Sun Jul 21 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (0.9-7m)
- m
- usbutils-0.9-hwdata.patch - RawHide (0.9-7)
- devel is obsolete

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.9-6k)
- s/Copyright/License/

* Fri Dec  7 2001 Shingo Akagaki <dora@kondara.org>
- (0.9-4k)
- devel require base

* Thu Dec  6 2001 Shingo Akagaki <dora@kondara.org>
- (0.9-2k)
- k

* Tue Jun 12 2001 Thomas Sailer <t.sailer@alumni.ethz.ch>
- rev 0.8

* Tue Sep 14 1999 Thomas Sailer <sailer@ife.ee.ethz.ch>
- Initial build
